### Method

# GLib Regex split

since: 2.14

#### Declaration [src]

    gchar**
    g_regex_split (
      const GRegex* regex,
      const gchar* string,
      GRegexMatchFlags match_options
    )

#### Description [src]

Breaks the string on the pattern, and returns an array of the tokens. If the pattern contains capturing parentheses, then the text for each of the substrings will also be returned. If the pattern does not match anywhere in the string, then the whole string is returned as the first token.

As a special case, the result of splitting the empty string “” is an empty vector, not a vector containing a single string. The reason for this special case is that being able to represent an empty vector is typically more useful than consistent handling of empty elements. If you do need to represent empty elements, you’ll need to check for the empty string before calling this function.

A pattern that can match empty strings splits `string` into separate characters wherever it matches the empty string between characters. For example splitting “ab c” using as a separator “\s*”, you will get “a”, “b” and “c”.

Available since: 2.14

#### Parameters

`string`

  Type: `const gchar*`

  The string to split with the pattern.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`match_options`

  Type: `GRegexMatchFlags`

  Match time option flags.

#### Return value

Type: An array of `utf8`

A `NULL`-terminated gchar ** array. Free it using g_strfreev().

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.